Available in Classic and VPC
View the response header of a customized method.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/responses/{status-code}/parameters |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
product-id |
String | Required | Product ID that the API belongs to
|
api-id |
String | Required | ID of the API whose response header you want to view
|
resource-id |
String | Required | ID of the target resource in the API
|
method-name |
String | Required | Target method type
|
status-code |
Integer | Required | Response status code |
Request example
The following is a sample request.
curl --location --request GET 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/responses/200/parameters' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"headers" : [ {
"resourceId" : "resourceId",
"methodCode" : "methodCode",
"tenantId" : "tenantId",
"parameterCode" : "REQUEST_HEADER",
"parameterType" : "string",
"apiId" : "apiId",
"parameterName" : "parameterName",
"statusCode" : 6,
"parameterDescription" : "parameterDescription",
"isRequired" : true,
"isArray" : true,
"modifier" : "modifier",
"parameterNo" : 0
} ]
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"headers": [
{
"resourceId": "tf73xuex0v",
"methodCode": "0001",
"tenantId": "********65ec41039ce6668c2058b8a9",
"parameterCode": "RESPONSE_HEADER",
"parameterType": "string",
"apiId": "cvcohvd2xj",
"parameterName": "x_header",
"statusCode": 200,
"parameterDescription": "header description",
"isRequired": false,
"isArray": false
}
]
}